<template>
  <div>
    <div v-if="loader" class="data-markup__loader">
      <ob-loader
          :width="10"
          :height="10"
          :duration="2"
      />
    </div>
    <div v-else class="data-markup__block">
      <div class="data-markup__title">
        Индивидуальная наценка клиентов
      </div>
      <div class="data-markup__text">
        Настройте наценку для каждого клиента, если необходимо
      </div>
      <ControlGroup
          v-model="tab"
          :items="items"
          theme="light"
      />
      <component :is="component"/>
    </div>
  </div>
</template>

<script>
  import ObLoader from 'common-components/src/obComponents/obLoader';
  import ControlGroup from "common-components/src/obComponents/obControlGroup";
  import AllAreas from "./AllAreas";
  import DirectionSettings from "./DirectionSettings";

  export default {
    name: "ForClient",
    components: {
      ObLoader,
      ControlGroup,
      AllAreas,
      DirectionSettings
    },
    data() {
      return {
        tab: 'ALL',
        items: [
          {
            label: 'По всем направлениям',
            value: 'ALL'
          },
          {
            label: 'Настроить направления',
            value: 'SETTING'
          }
        ],
        loader: false
      }
    },
    computed: {
      component() {
        return this.tab === 'ALL' ? AllAreas : DirectionSettings
      }
    },
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
.data-markup {
  &__loader {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 300px;
  }
  &__block{
    margin-top: 25px;
  }
  &__title{
    margin-bottom: 5px;
    @include font-mixin(16px, 20px, 700, $topMenuTextHover, .4px);
  }
  &__text{
    @include font-mixin(14px, 18px, 400, $color-grey-label , .2px);
    margin-bottom: 20px;
  }
}
</style>